%global momorel 3
Summary: Zebra Routing Daemon
Name: zebra
Version: 0.94
Release: %{momorel}m
License: GPL
Group: System Environment/Daemons
Source0: ftp://ftp.zebra.org/pub/zebra/%{name}-%{version}.tar.gz
NoSource: 0
Source1: zebra.init
Source2: ripd.init
Source3: ripngd.init
Source4: ospfd.init
Source5: ospf6d.init
Source6: bgpd.init
Source7: zebra-html-0.87.tar.gz
Source8: bgpd.conf.patch
Source9: ospfd.conf.patch
Source10: ripd.conf.patch
Source11: zebra.conf.patch
Source12: zebra

Patch0: zebra.if_getaddr.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.zebra.org/
BuildPreReq: net-snmp-devel >= 5.0.7-1m
BuildPreReq: openssl-devel, ncurses-devel, readline-devel
Prereq: chkconfig

%description
GNU Zebra is a free software that manages TCP/IP based routing
protocol.  It takes multi-server and multi-thread approach to resolve
the current complexity of the Internet. 

GNU Zebra supports BGP4, BGP4+, OSPFv2, OSPFv3, RIPv1, RIPv2, and RIPng.
  
GNU Zebra is intended to be used as a Route Server and a Route Reflector.
It is not a toolkit, it provides full routing power under a new 
architecture. GNU Zebra is unique in design in that it has a process 
for each protocol.
  
See the file INSTALL for building and installation instructions.
  
Please send all bug reports by electronic mail to:
    bug-zebra@gnu.org

%prep
%setup -q

%patch0 -p1 -b .if_getaddr

%build
%if ! %{_ipv6}
CONFIGUREOPT="--disable-ipv6"
%else
CONFIGUREOPT="--enable-ipv6"
%endif

CFLAGS="%{optflags} -DUCD_COMPATIBLE" %configure \
    --sysconfdir=%{_sysconfdir}/zebra \
    --with-libpam \
    --enable-vtysh \
    --enable-snmp \
    $CONFIGUREOPT
%make

%install
rm -rf %{buildroot}
%makeinstall sysconfdir=%{buildroot}%{_sysconfdir}/zebra

#mkdir -p %{buildroot}%{_mandir}/man1
#cp doc/zebra.1 %{buildroot}%{_mandir}/man1
#cp doc/ripd.1 %{buildroot}%{_mandir}/man1
#cp doc/ripngd.1 %{buildroot}%{_mandir}/man1
#cp doc/ospfd.1 %{buildroot}%{_mandir}/man1
#cp doc/ospf6d.1 %{buildroot}%{_mandir}/man1
#cp doc/bgpd.1 %{buildroot}%{_mandir}/man1

mkdir -p %{buildroot}%{_initscriptdir}
cp $RPM_SOURCE_DIR/zebra.init %{buildroot}%{_initscriptdir}/zebra
cp $RPM_SOURCE_DIR/ripd.init %{buildroot}%{_initscriptdir}/ripd
cp $RPM_SOURCE_DIR/ripngd.init %{buildroot}%{_initscriptdir}/ripngd
cp $RPM_SOURCE_DIR/ospfd.init %{buildroot}%{_initscriptdir}/ospfd

%if %{_ipv6}
cp $RPM_SOURCE_DIR/ospf6d.init %{buildroot}%{_initscriptdir}/ospf6d
%endif

cp $RPM_SOURCE_DIR/bgpd.init %{buildroot}%{_initscriptdir}/bgpd
mkdir -p %{buildroot}%{_sysconfdir}/zebra
cp %{buildroot}%{_sysconfdir}/zebra/bgpd.conf.sample %{buildroot}%{_sysconfdir}/zebra/bgpd.conf
patch %{buildroot}%{_sysconfdir}/zebra/bgpd.conf $RPM_SOURCE_DIR/bgpd.conf.patch
cp %{buildroot}%{_sysconfdir}/zebra/ospfd.conf.sample %{buildroot}%{_sysconfdir}/zebra/ospfd.conf
patch %{buildroot}%{_sysconfdir}/zebra/ospfd.conf $RPM_SOURCE_DIR/ospfd.conf.patch
cp %{buildroot}%{_sysconfdir}/zebra/ripd.conf.sample %{buildroot}%{_sysconfdir}/zebra/ripd.conf
patch %{buildroot}%{_sysconfdir}/zebra/ripd.conf $RPM_SOURCE_DIR/ripd.conf.patch
cp %{buildroot}%{_sysconfdir}/zebra/zebra.conf.sample %{buildroot}%{_sysconfdir}/zebra/zebra.conf
patch %{buildroot}%{_sysconfdir}/zebra/zebra.conf $RPM_SOURCE_DIR/zebra.conf.patch

mkdir -p %{buildroot}/var/log/zebra
tar -zxvf $RPM_SOURCE_DIR/zebra-html-0.87.tar.gz
mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d
cp $RPM_SOURCE_DIR/zebra %{buildroot}%{_sysconfdir}/logrotate.d
rm -f %{buildroot}%{_infodir}/dir

%clean
rm -rf %{buildroot}

%post
/sbin/install-info %{_infodir}/zebra.info %{_infodir}/dir
/sbin/chkconfig --add zebra
if [ -r /var/run/zebra.pid ]; then
    %{_initscriptdir}/zebra restart
fi
/sbin/chkconfig --add ripd
if [ -r /var/run/ripd.pid ]; then
    %{_initscriptdir}/ripd restart
fi
/sbin/chkconfig --add ripngd
if [ -r /var/run/ripngd.pid ]; then
    %{_initscriptdir}/ripngd restart
fi
/sbin/chkconfig --add ospfd
if [ -r /var/run/ospfd.pid ]; then
    %{_initscriptdir}/ospfd restart
fi
%if %{_ipv6}
/sbin/chkconfig --add ospf6d
if [ -r /var/run/ospf6d.pid ]; then
    %{_initscriptdir}/ospf6d restart
fi
%endif
/sbin/chkconfig --add bgpd
if [ -r /var/run/bgpd.pid ]; then
    %{_initscriptdir}/bgpd restart
fi

%preun
if [ "$1" = 0 ]; then
    if [ -r /var/run/zebra.pid ]; then
	%{_initscriptdir}/zebra stop
    fi
    /sbin/chkconfig --del zebra
    if [ -r /var/run/ripd.pid ]; then
	%{_initscriptdir}/ripd stop
    fi
    /sbin/chkconfig --del ripd
    if [ -r /var/run/ripngd.pid ]; then
	%{_initscriptdir}/ripngd stop
    fi
    /sbin/chkconfig --del ripngd
    if [ -r /var/run/ospfd.pid ]; then
	%{_initscriptdir}/ospfd stop
    fi
    /sbin/chkconfig --del ospfd
%if %{_ipv6}
    if [ -r /var/run/ospf6d.pid ]; then
	%{_initscriptdir}/ospf6d stop
    fi
    /sbin/chkconfig --del ospf6d
%endif
    if [ -r /var/run/bgpd.pid ]; then
	%{_initscriptdir}/bgpd stop
    fi
    /sbin/chkconfig --del bgpd
fi

if [ "$1" = 0 ]; then
  /sbin/install-info --delete %{_infodir}/zebra.info %{_infodir}/dir
fi

%files
%defattr(-,root,root)
%{_bindir}/vtysh
%{_sbindir}/bgpd
%{_sbindir}/ospf6d
%{_sbindir}/ospfd
%{_sbindir}/ripd
%{_sbindir}/ripngd
%{_sbindir}/zebra
%{_infodir}/zebra.info*
%{_mandir}/man1/*
%{_mandir}/man8/*
%{_initscriptdir}/bgpd
%{_initscriptdir}/ospfd
%{_initscriptdir}/ripd
%{_initscriptdir}/zebra
%if %{_ipv6}
%{_initscriptdir}/ripngd
%{_initscriptdir}/ospf6d
%endif
%dir %{_sysconfdir}/zebra
%config(noreplace) %{_sysconfdir}/zebra/*.conf
%{_sysconfdir}/zebra/*.sample
%{_sysconfdir}/zebra/*.sample2
%{_sysconfdir}/logrotate.d/*
/var/log/zebra
%doc doc AUTHORS COPYING COPYING.LIB ChangeLog INSTALL NEWS README
%doc REPORTING-BUGS TODO
# %doc zebra-html-*

%changelog
* Tue Jun  8 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (0.94-3m)
- revise %%files

* Sun Mar 28 2004 Toru Hoshina <t@momonga-linux.org>
- (0.94-2m)
- revised spec for rpm 4.2.

* Mon Dec 15 2003 Hiroyuki Koga <kuma@momonga-linux.org>
- (0.94-1m)
- update to 0.94

* Wed May 28 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.93b-8m)
- explicitly specify '--enable-ipv6'

* Tue May 27 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.93b-7m)
- list each file in %%files

* Mon May 19 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.93b-6m)
- '/usr/sbin/killall' -> '/usr/bin/killall' in '/etc/logrotate.d/zebra'

* Sun May 18 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.93b-5m)
- revise %%post and %%preun

* Mon Mar 10 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.93b-4m)
  rebuild against openssl 0.9.7a

* Wed Jan 22 2003 Tadataka Yoshikawa <yosikawa@momonga-linux.org>
- (0.93b-3m)
- add CFLAGS -DUCD_COMPATIBLE
- rebuild against net-snmp-5.0.7-1m

* Fri Oct 11 2002 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.93b-2m)
- update to 0.93b
- change Source0 URI

* Wed Aug 21 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.92a-5m)
- build against net-snmp

* Sun Jun 16 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.92a-4k)
- fix if_getaddr dereferences NULL

* Fri Feb 22 2002 YAMAGUCHI Kenji <yamk@kondara.org>
- (0.92a-2k)
- update 0.92a
- add --enable-vtysh --enable-snmp
- rewrite initscripts
- ospf6d is not avalable at NO _ipv6

* Tue Nov 13 2001 Shingo Akagaki <dora@kondara.org>
- (0.91a-6k)
- nigittenu

* Wed Mar  7 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (0.91a-5k)
- errase IPv6 function with %{_ipv6} macro

* Sat Feb 10 2001 Kusunoki Masanori <nori@kondara.org>
- (0.91a-3k)
- up to 0.91a

* Sat Feb  3 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (0.90a-5k)
- rebuild against rpm-3.0.5-39k

* Thu Feb 01 2001 Kusunoki Masanori <nori@kondara.org>
(0.90a-3k)
- up to 0.90a.

* Tue Nov 28 2000 Kenichi Matsubara <m@kondara.org>
- /etc/init.d to %{_initscriptdir}.

* Mon Nov 27 2000 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- update to 0.89a

* Thu Oct 26 2000 Takaaki Tabuchi <tab@kondara.org>
- (0.89-5k)
- change man&info compress command gzip to bzip2 

* Sat Oct 14 2000 Motonobu Ichimura <famao@kondara.org>
- enable libpam support

* Sun Oct 08 2000 Motonobu Ichimura <famao@kondara.org>
- up to 0.89

* Sat Aug 26 2000 Motonobu Ichimura <famao@kondara.org>
- up to 0.88

* Tue Jun 20 2000 Masaaki Noro <noro@flab.fujitsu.co.jp>
- updated to zebra-0.87

* Sun Mar 12 2000 AYUHANA Tomonori <l@kondara.org>
- SPEC fix ( Group, Source, BuildRoot )

* Sat Jan 15 2000 KUSUNOKI Masanori <masanori@linux.or.jp>
- updated to zebra-0.84
- %{_infodir}/dir conflicts bug fixed. by tnh@kondara.org

* Mon Dec 13 1999 FLORIN Andrei <florin@linuxstart.com>
- updated to zebra-0.83a
- moved config files in /etc/zebra
- created /var/log/zebra directory
- patched original configs to match Red Hat style and new log directory
- added /etc/logrotate.d/zebra
- included zebra-html-0.79 docs
- various spec-file updates regarding cleaning phase (now is really clean :)

* Mon Sep 13 1999 KUSUNOKI Masanori <masanori@linux.or.jp>
- init file fixed

* Mon Sep 13 1999 KUSUNOKI Masanori <masanori@linux.or.jp>
- updated to zebra-0.78a
- add manual pages
- add init.d

* Thu Jul 15 1999 KUSUNOKI Masanori <masanori@linux.or.jp>
- new package
